#
#  Usage: awk -f jsgen.awk -v language=<l> inputfile
#
#     inputfile consists of paired lines which may contain html entities,
#     which are converted to the javascript unescape format
#
#     if language is gl, we create lexikon[1]
#     if language is anything else, we create lexikon[0]
#
#  Authors
#
#     William W. Patterson <webmaster@kafejo.com>
#
#  History
#
#     2001.05.18  WWP   Creation. Hacked from the Eo version.
#

BEGIN {
   print "<script type=\"text/javascript\" language=\"JavaScript\">"
   print "<!-- Begin"
   print "// autogenerated by jsgen"
   print "lexikon[" ( language == "gl" ? "1" : "0" )  "] = Array("
   lines = 0
   }

( language != "gl" ) && ( FNR % 2 ) { next }

( language == "gl" ) && ( ! ( FNR % 2 ) ) { next }

{
   n = 0
   n += gsub(/&szlig;/,"%DF")
   n += gsub(/&Auml;/,"%C4")
   n += gsub(/&auml;/,"%E4")
   n += gsub(/&Ouml;/,"%D6")
   n += gsub(/&ouml;/,"%F6")
   n += gsub(/&Uuml;/,"%DC")
   n += gsub(/&uuml;/,"%FC")
   $0 = ( n ? "unescape(" : "" ) "\"" $0 "\"" ( n ? ")" : "" )
   printf "%s%s\n", lines ? "," : "", $0
   ++lines
   }

END {
   print ");"
   print "//  End -->";
   print "</script>";
   }
